// chapitre 5 liste.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"

#include <iostream>
#include <list>
#include <algorithm>
using namespace std;

bool initiale_b(string s)
{
	return s[0]=='B';
}

int main(int argc, char* argv[])
{
	// une liste de chaînes
	list<string> liste;	

	// quelques entrées
	liste.push_back("Beethoven");
	liste.push_back("Bach");
	liste.push_back("Brahms");
	liste.push_back("Haydn");
	liste.push_back("Rachmaninov");	

	// retourner la liste
	liste.reverse();

	// supprimer tous les compositeurs commençant par B
	liste.remove_if(initiale_b);	

	// afficher la liste
	list<string>::iterator i;	
	for(i=liste.begin(); i!=liste.end() ; i++)
	{
		string nom=*i;
		cout << " " << nom.c_str();
	}
	return 0;
}
